# Xonotic

Xonotic is a [free as in freedom](free_software.md) fast multiplayer arena [first-person-shooter](fps_game.md) [game](game.md) similar to e.g. [Quake](quake.md). It is one of the best libre games, i.e. games that are completely free by both code and data/content. It is available under [GPLv3](gpl.md). Its gameplay, graphics and customizability are pretty great, it may well be the best in the AFPS genre, even compared to AAA [proprietary](proprietary.md) games -- this kind of quality is very rare.

{ I've been playing Xonotic for years, it's really an excellent game. I've met a lot of nice people there as the players are usually programmers and people looking for [FOSS](foss.md). The gameplay is addictive and relaxing and you can have a great chat during the game. Xonotic is a masterpiece. ~drummyfish }

Xonotic was forked from a game called [Nexuiz](nexuiz.md) after a [trademark](trademark.md) controversy. Nexuiz itself was created on top of liberated Quake 1 engine, so Xonotic still bears a lot Quake's legacy, however it masterfully expands on its core principles and makes the gameplay even better. For example rockets shot by rocket launcher can be guided with mouse while holding down the left button which adds a new skill element. New types of weapons were added to the classic AFPS weapons (e.g. the infamous electro, a [meme](meme.md) spamming weapon used by noobs for its forgiveness of lack of skill). Movement physics was also modified to give better air control and faster movement as a result.

The game's modified [Quake](quake.md) 1 engine called is called [Darkplaces](darkplaces.md). It can be highly customized and modded. Just like in other Quake engine games, there are many console commands (*cvars*) to alter almost anything about the game. Advanced programming can be done using [QuakeC](quakec.md). Maps can be created e.g. with [netradiant](netradiant.md).

Xonotic is similar to other libre AFPS games such as [OpenArena](openarena.md) and [Red Eclipse](red_eclipse.md). Of these Xonotic clearly looks the most professional, it has the best "graphics" in the [modern](modern.md) sense but still offers the option to turn all the fanciness off. OpenArena, based on Quake 3 engine, is simpler, both technologically and in gameplay, and its movement is slower and with different physics. While OpenArena just clones Quake 3, Xonotic is actually an original game with new ideas. Similar thing could be said about Red Eclipse, however that shows some infection with SJW poison.

{ OpenArena is great too. ~drummyfish }

As of 2022 the game has a small but pretty active community of regular players, centered mostly in Europe. There are regulars playing every day, pros, noobs, famous spammers, campers and [trolls](troll.md). Nice conversations can be had during games. There are [memes](meme.md) and inside jokes. The community is pretty neat. Xonotic also has a very dedicated [defrag](defrag.md) ("racing with no shooting") community. There have also been a few small tournament with real cash prizes in Xonotic.

Great news is the development and main servers have so far not been infected by the [SJW poison](tranny_software.md) and **allow a great amount of [free speech](free_speech.md)** -- another rarity. Even the game itself contains speech that SJWs would consider "offensive", there are e.g. voice lines calling other players "pussies" and "retards". This is great.

## See Also

- [OpenArena](openarena.md)